fuss-server - Segnalazione #111

Segnalazione # 110 (Chiuso): Configurazione samba: errore alla creazione
Samba: altri errori

12/13/2016 12:05 AM - Christopher R. Gabriel

Status: Chiuso Start date: 12/13/2016
Priority: Normale Due date:

Assignee: Christopher R. Gabriel % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
creando adesso un nuovo server:

TASK [samba : Give full privileges to 'Domain Admins' group] ***xkkdkkxtxskkkkkk

failed: [localhost] (item=SeRemoteShutdownPrivilege) => {"changed": true, "cmd": ["net", "rpc"dmin
s", "SeRemoteShutdownPrivilege", "-U", "admin%antani"], "delta": "0:00:00.219223", "end": "failed"
true, "item": "SeRemoteShutdownPrivilege", "rc": 255, "start": "2016-12-13 00:03:25.connect to s
erver 127.0.0.1\nConnection failed: NT_STATUS_CONNECTION_REFUSED", "stdout": "", " []}
failed: [localhost] (item=SeMachineAccountPrivilege) => {"changed": true, "cmd": ["net", "rpc"dmin
s", "SeMachineAccountPrivilege", "-U", "admin%antani"], "delta": "0:00:00.048981", "end": "failed"
true, "item": "SeMachineAccountPrivilege", "rc": 255, "start": "2016-12-13 00:03:25.connect to s
erver 127.0.0.1\nConnection failed: NT_STATUS_CONNECTION_REFUSED", "stdout": "", " []}
failed: [localhost] (item=SePrintOperatorPrivilege) => {"changed": true, "cmd": ["net", "rpc",mins
", "SePrintOperatorPrivilege", "-U", "admin%antani"], "delta": "0:00:00.045849", "end": "2ailed":
true, "item": "SePrintOperatorPrivilege", "rc": 255, "start": "2016-12-13 00:03:25.705nect to serwv
er 127.0.0.1\nConnection failed: NT_STATUS_CONNECTION_REFUSED", "stdout": "", "std}
failed: [localhost] (item=SeAddUsersPrivilege) => {"changed": true, "cmd": ["net", "rpc", "rig, "S
eAddUsersPrivilege", "-U", "admin%antani"], "delta": "0:00:00.046080", "end": "2016-12-13 ue, "ite
m": "SeAddUsersPrivilege", "rc": 255, "start": "2016-12-13 00:03:25.866355", "stderr":127.0.0.1\nC
onnection failed: NT_STATUS_CONNECTION_REFUSED", "stdout": "", "stdout_lines": [],
failed: [localhost] (item=SeDiskOperatorPrivilege) => {"changed": true, "cmd": ["net", "rpc", ins"
"SeDiskOperatorPrivilege", "-U", "admin%antani"], "delta": "0:00:00.046148", "end": "201lled": tr
ue, "item": "SeDiskOperatorPrivilege", "rc": 255, "start": "2016-12-13 00:03:26.027816t to server
127.0.0.1\nConnection failed: NT_STATUS_CONNECTION_REFUSED", "stdout": "", "stdout
failed: [localhost] (item=SeTakeOwnershipPrivilege) => {"changed": true, "cmd": ["net", "rpc",mins
", "SeTakeOwnershipPrivilege", "-U", "admin%antani"], "delta": "0:00:00.046304", "end": "2ailed":
true, "item": "SeTakeOwnershipPrivilege", "rc": 255, "start": "2016-12-13 00:03:26.197nect to serv
er 127.0.0.1\nConnection failed: NT_STATUS_CONNECTION_REFUSED", "stdout": "", "std}

NO MORE HOSTS LEFT KA A KA AR AR A A A A AR AR A AR A AR AR A A A A A A AR A I A A A A AR AR AR A A A A AN A A A A AR K kK

RUNNING HANDLER [slapd : restart slapd with slapd.conf] *xx&skkkkkokktddddkkokkrxxtk

RUNNING HANDLER [ldapfauth : restart l'lSlCd] KA KX KA KA KA KA KA KA XA KA A A XA A XA A XA A XA XA XA A XA A XA XA A XA XA Xk * K
to retry, use: —--limit @/usr/share/fuss-server/fuss-server.retry

PLAY RECAP KK A AR AR AR A A R A AR AR A A A A AR AR A AR AR A AR AR A A A A AR AR A A A A AR AR A IR A AR AR AR AR A A XK, K

localhost : ok=71 changed=37 unreachable=0 failed=1

History

#1 - 12/13/2016 02:54 PM - Simone Piccardi
- Status changed from Nuovo to Commenti

- Assignee changed from Simone Piccardi to Christopher R. Gabriel

Con un ciclo fuss-server purge / fuss-server create il problema & scomparso. Da quel che ho visto prima del ciclo mancava una corretta impostazione
del SID nell'albero LDAP, presumibilmente dovuta ad un fallimento di net getlocalsid in fase di installazione, le cui ragioni perd mi sfuggono (riavviato
samba funzionava).
Ho provato a riprodurlo reinstallando da zero il fuss-server su una macchina virtuale nuova, ma non ci sono riuscito.

In ogni caso ho messo dei controlli maggiori sul comando (net getlocalsid), forzando un fail in caso di errore o di valore del SID non sensato (per ora
un semplice test sul numero di caratteri).

#2 - 12/13/2016 06:04 PM - Christopher R. Gabriel
- File Screenshot from 2016-12-13 18_03_59.png added

- Assignee changed from Christopher R. Gabriel to Simone Piccardi

Ok per il purge e poi create, ma deve andare su alla prima.

Ho creato ora una nuova macchina da zero, e al create e' peggiorato, vedi allegato.

#3 - 12/13/2016 07:39 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Christopher R. Gabriel

Lo scopo delle ultime modifiche era di farlo peggiorare. Ora ho una indicazione chiara di cosa non va, non hai il comando net quando dovresti averlo.

Quanto da zero? Perché totalmente da zero non pud essere, devi installare ansible da backports per far funzionare le cose e abilitare i repository
fuss.

Il problema pare essere che a me, partendo da zero da una installazione manuale, installa il pacchetto samba-common-bin insieme a
samba-common, a te no. Dato che é un recommends presumo dipenda da una diversa configurazione di APT, comunque & senz'altro sbagliato
aspettarsi che se lo installi non essendo una dipendenza stretta, per cui modifico la richiesta nel playbook mettendo samba-common-bin al posto di
samba-common (che viene comunque preso per le dipendenze).

Se risolve va avvisata elena del cambio di pacchetto per le dipendenze di fuss-server-dependencies (lo scrivo per lasciare traccia).

#4 - 12/13/2016 08:16 PM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Simone Piccardi

Simone Piccardi ha scritto:

Lo scopo delle ultime modifiche era di farlo peggiorare. Ora ho una indicazione chiara di cosa non va, non hai il comando net quando dovresti
averlo.

Ok, non me lo avevi spiegato quando me lo hai riassegnato.

Quanto da zero? Perché totalmente da zero non puo essere, devi installare ansible da backports per far funzionare le cose e abilitare i
repository fuss.

Completamente da zero: ho la iso (che include i backports) che autoinstalla tutto quanto. L'unica cosa che installo poi a mano €' il pacchetto
fuss-server che rigenero da git (perche' sul repository non viene giustamente aggiornato spesso)

Il problema pare essere che a me, partendo da zero da una installazione manuale, installa il pacchetto samba-common-bin insieme a
samba-common, a te no. Dato che é un recommends presumo dipenda da una diversa configurazione di APT, comunque € senz'altro sbagliato
aspettarsi che se lo installi non essendo una dipendenza stretta, per cui modifico la richiesta nel playbook mettendo samba-common-bin al posto

di samba-common (che viene comunque preso per le dipendenze).

Vedi te, io non ho capito.

Se risolve va avvisata elena del cambio di pacchetto per le dipendenze di fuss-server-dependencies (lo scrivo per lasciare traccia).

Fate voi.

#5 - 12/14/2016 01:14 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Christopher R. Gabriel

Dovresti perd dirmi se adesso risolve, perché qui a me va.

#6 - 12/14/2016 01:37 PM - Christopher R. Gabriel

- Status changed from Commenti to Chiuso

Non riesco piu' a riprodurlo, apro pero' altro ticket.
